Subject: Re: Quick Question (aka "yearly w / bymonthday or byday. Please Clarify!")

From: Mihai BADEA <[email-masked]>
Date: Tue, 22 Nov 2005 16:42:01 +0200

Hello folks,

This is an older message which I think offers a wrong interpretation of
the recurrence rules BYDAY and BYMONTHDAY in a YEARLY recurrence when
BYMONTH is missing. I am surprised that the thread had only three
messages (2 times the quetion and one final answer, and none following
comments from anyone).

Vinod_Seraphin/CAM/[email-masked] wrote:
>>DTSTART:19970501T090000-0400
>>RRULE:FREQ=YEARLY;BYMONTHDAY=1,20
>>
>>be interpreted as
>>1) Every May on Days 1 and 20 at 9:00:00
>>or
>>2) Every Month on Days 1 and 20 at 9:00:00?
>>
>>In other words should DTSTART's month be considered a BYMONTH value in
> 
> this
> 
>>case?
> 
> It would be interpered as #1.  Yes, DTSTART's month would be considered a
> BYMONTH value in this case.  To get #2, use FREQ=MONTHLY instead of
> FREQ=YEARLY
Why consider DTSTART's month as a default BYMONTH? Shouldn't we consider
that BYMONTH is in this case a contracting rule and should not be set by
default?
I think the more logical and useful interpretation is #2, which leaves
the choice to the user to contract the reccurence to only May if he
wants, by explicitly setting BYMONTH=5.
> 
> 
>>Similarly, would the following recurrence rule,
>>
>>DTSTART:19970502T090000-0400
>>RRULE:FREQ=YEARLY;BYDAY=MO,FR
>>
>>be interpreted as
>>1) Every Monday and Friday in May at 9:00:00
>>or
>>2) Every Monday and Friday at 9:00:00
> 
> It would be interpreted as #1.  To get #2, use FREQ=WEEKLY instead of
> FREQ=YEARLY
The RFC states clearly that a BYDAY rule refers to the FREQ interval.
The only ambiguity regarding BYDAY in a YEARLY recurence was when a
BYMONTH was specified (eg TimeZones), and was agreed after a long
discussion that when a BYMONTH rule is present, apply BYDAY to the given
months. But this is not the case.
Also, it does make sense to specify a rule of "every monday and friday
in the year".
So isn't actually #2 the answer?
> - Vinod
If there is yet someone still interested of such things these days..
please make your opinion of statement.

Best regards,
Mihai